Subtitle fields

FieldsDescription
formatData format SRT only is supported, if you have an other format please convert it to SRT.
idUnique object identifier (unique among all subtitles)
item_typeGraph type of this object (hopefully subtitle)
languageLanguage of these subtitles.
language_labelSubtitles’s language in its own language.
urlGET - URL pointing to the latest subtitle version / POST - URL pointing to the subtitle you would like to upload.

📘

Default values

These fields are returned by default in the API answer when you do not specify specific fields in your API calls:

  • id
  • language



format

Data format SRT only is supported, if you have an other format please convert it to SRT.

TypeSample valueRead accessWrite access
stringsrtPublicN/A

id

Unique object identifier (unique among all subtitles)

TypeSample valueRead accessWrite access
stringxqf5vs9PublicN/A

item_type

Graph type of this object (hopefully subtitle).

minimum lenght: 1 character / max lenght: 150 characters

TypeSample valueRead access (scope)Write access (scope)
datesubtitlePublicN/A

language

Language of these subtitles.

minimum lenght: 1 character / max lenght: 150 characters

TypeSample valueRead access (scope)Write access (scope)
stringenPublicPrivate,
can be written by the owner of the object

language_label

Subtitles’s language in its own language.

minimum lenght: 1 character / max lenght: 150 characters

TypeSample valueRead access (scope)Write access (scope)
stringFrançaisPublicN/A

url

When using GET method, the URL pointing to the latest version of the subtitles.

When using POST method, the URL field must point to the subtitle data in on of the valid formats.

📘

Subtitle upload

You don’t need to host the file, you can use the GET /file/upload API ressource to create a temporary URL to a file of your own, just like when you upload a video source file.

If you host your own file, the file will be fetched and the subtitles URL will point to a local copy.

TypeSample valueRead access (scope)Write access (scope)
urlhttps://static2.dmcdn.net[...]:subtitle_en.srt?22PublicPrivate,
can be written by the owner of the object